> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channels

> Get user's channels and channel subscriptions



## OpenAPI

````yaml /openapi/alerts.json get /v2/channels
openapi: 3.1.0
info:
  title: Dialect Alerts V2 API
  description: >-
    Notification infrastructure for real-time alert delivery through multiple
    channels including in-app notifications, email, push notifications, and
    Telegram.
  version: 2.2.0-beta
servers:
  - url: https://alerts-api.dial.to
    description: Dialect Production
  - url: https://alerts.dialectapi.to
    description: Dialect Production
security: []
paths:
  /v2/channels:
    get:
      tags:
        - Manage Channels
      summary: Get Channels
      description: Get user's channels and channel subscriptions
      operationId: getChannels
      parameters:
        - name: X-Dialect-Client-Key
          in: header
          required: true
          schema:
            type: string
            description: Client Key used to uniquely identify the client
            example: dk_gyh2eqzfkc4mhp5eiahnndkz
      responses:
        '200':
          description: User channels retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  EMAIL:
                    type: object
                    properties:
                      id:
                        type: string
                      type:
                        type: string
                        enum:
                          - EMAIL
                          - TELEGRAM
                      value:
                        type: string
                      verified:
                        type: boolean
                      subscribed:
                        type: boolean
                      subscribedApps:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              description: Application ID
                              example: 255d6163-7e25-43e9-a188-c2f8d0980a4a
                            name:
                              type: string
                              minLength: 1
                              description: Application name
                              example: Dialect
                            icon:
                              type: string
                              format: uri
                              description: Icon URL
                              example: >-
                                https://dialect-file-storage.s3.us-west-2.amazonaws.com/avatars/dialect-logo.png
                          required:
                            - id
                            - name
                    required:
                      - id
                      - type
                      - value
                      - verified
                      - subscribed
                  TELEGRAM:
                    type: object
                    properties:
                      id:
                        type: string
                      type:
                        type: string
                        enum:
                          - EMAIL
                          - TELEGRAM
                      value:
                        type: string
                      verified:
                        type: boolean
                      subscribed:
                        type: boolean
                      subscribedApps:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              description: Application ID
                              example: 255d6163-7e25-43e9-a188-c2f8d0980a4a
                            name:
                              type: string
                              minLength: 1
                              description: Application name
                              example: Dialect
                            icon:
                              type: string
                              format: uri
                              description: Icon URL
                              example: >-
                                https://dialect-file-storage.s3.us-west-2.amazonaws.com/avatars/dialect-logo.png
                          required:
                            - id
                            - name
                    required:
                      - id
                      - type
                      - value
                      - verified
                      - subscribed
                additionalProperties: false
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
      security:
        - subscriber: []
components:
  securitySchemes:
    subscriber:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication for subscriber calls

````